Bug 1282685 - Should not ask to specify the device to boot the VM when Hosted Engine TUI already selected PXE Boot Engine VM
Summary: Should not ask to specify the device to boot the VM when Hosted Engine TUI al...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node-plugin-hosted-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ovirt-3.6.2
: ---
Assignee: Ryan Barry
QA Contact: Ying Cui
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-17 05:54 UTC by Ying Cui
Modified: 2016-03-09 14:43 UTC (History)
8 users (show)

Fixed In Version: ovirt-node-plugin-hosted-engine-0.3.0-4.el7ev
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 14:43:46 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)
sosreport (6.07 MB, application/x-xz)
2015-11-17 06:09 UTC, Ying Cui
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0378 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update for RHEV 3.6 2016-03-09 19:06:36 UTC
oVirt gerrit 48689 master MERGED Get the right values from HostedEngine() so PXE works Never
oVirt gerrit 50999 ovirt-3.6 MERGED Get the right values from HostedEngine() so PXE works 2015-12-23 15:25:33 UTC

Description Ying Cui 2015-11-17 05:54:13 UTC
Description:
  Already selected "PXE Boot Engine VM" via Hosted Engine TUI, but during HE deployment, here still ask to specify the device to boot the VM.

Version:
# rpm -qa ovirt-node-plugin-hosted-engine ovirt-hosted-engine-setup 
ovirt-hosted-engine-setup-1.3.0-1.el7ev.noarch
ovirt-node-plugin-hosted-engine-0.3.0-3.el7ev.noarch
# cat /etc/redhat-release 
Red Hat Enterprise Virtualization Hypervisor (Beta) release 7.2 (20151112.1.el7ev)

Test Steps:
1. Installed RHEVH 7.2 for rhev 3.6 beta 1 successful.
2. Setup Network via dhcp yet.
3. Set root password on Engine TUI.
3. Deploy HE on RHEV-H TUI.
4. Enable "PXE Boot Engine VM"
5. Click on "Deploy"

...

          --== VM CONFIGURATION ==--
         
          Please specify the device to boot the VM from (choose disk for the oVirt engine appliance)
          (cdrom, disk, pxe) [disk]: pxe
          Please specify an alias for the Hosted Engine image [hosted_engine]: 
          The following CPU types are supported by this host:
                 - model_SandyBridge: Intel SandyBridge Family
                 - model_Westmere: Intel Westmere Family
                 - model_Nehalem: Intel Nehalem Family
                 - model_Penryn: Intel Penryn Family
                 - model_Conroe: Intel Conroe Family
...

Actually Result:
During VM Configuration, still ask to specify the device to boot the VM, here already selected the PXE Boot Engine VM via Hosted Engine TUI yet.

Expected Result:
HE TUI already selected PXE Boot Engine VM, don't need to ask to specify the device to boot the VM again.

Comment 1 Ying Cui 2015-11-17 06:09:27 UTC
Created attachment 1095224 [details]
sosreport

Comment 2 Ying Cui 2015-12-09 03:53:27 UTC
Verified the bug rhev-hypervisor7-7.2-20151201.2(ovirt-node-plugin-hosted-engine-0.3.0-4.el7ev)

Test Steps:
1. Installed rhev-hypervisor7-7.2-20151201.2 successful.
2. Setup Network via dhcp yet.
3. Set root password on Engine TUI.
3. Deploy HE on RHEV-H TUI.
4. Enable "PXE Boot Engine VM"
5. Click on "Deploy"

Result: Don't need to ask to specify the device to boot the VM because TUI has selected PXE boot VM.

Comment 4 errata-xmlrpc 2016-03-09 14:43:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0378.html


Note You need to log in before you can comment on or make changes to this bug.